<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
  
namespace FiloBlu\Esb\Setup;
 
use Magento\Framework\Setup\UpgradeSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table;
 
class UpgradeSchema implements UpgradeSchemaInterface
{
    public function upgrade(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();
        
        if (version_compare($context->getVersion(), '1.0.1') < 0) {

            // Get module table
            $tableName = $installer->getTable('esb_schedule');
            $connection = $installer->getConnection();
            if ($setup->getConnection()->isTableExists($tableName) == true) {
                // Declare data
                $connection->addColumn( 
                    $tableName,
                    'object_repository_interface', 
                    [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                        'default' => NULL,
                        'nullable' => true,
                        'comment' => 'Object Repository Interface',
                        'after' => 'object_class'
                    ]
                );
                $connection->modifyColumn(
                    $tableName,
                    'object_class',                    
                    [
                        'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                        'default' => NULL,
                        'comment' => 'Object Class',
                        'nullable' => true
                    ]
                );
            }
        } 
        $installer->endSetup();
    }
}